%define version	0.4.2
%define release	1.tigrux
%define name festival-gaim

Name: %name
Summary: Voice plugin for gaim
Version: %version
Release: %release
Group: Internet/multimedia
Copyright: GPL
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}//%{name}-%{version}-root
Requires: gaim festival
BuildRequires: gtk+-devel
%description
This plugin speak your incoming messages from gaim
It use festival and is configurable

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/gaim
make FESTIVAL_VOICES_PATH=%{_datadir}/festival/voices VERSION=%{version}
make PLUGIN_GAIM_PATH=$RPM_BUILD_ROOT/%{_libdir}/gaim install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc INSTALL README LICENCE
%{_libdir}/gaim/festival.so

%changelog
* Thu Jun 20 2002 Tigrux <tigrux@linuxparatodos.com>
- 0.4.2
- minor bugfix.

* Wed Jun 19 2002 Tigrux <tigrux@linuxparatodos.com>
- 0.4.1
- bugfix, read conf at init, quit festival at unload

* Wed Jun 19 2002 Tigrux <tigrux@linuxparatodos.com>
- 0.4
- use popen stuff instead system
- more error managament
- can configure stretch duration

* Sun Jun 9 2002 Tigrux <tigrux@linuxparatodos.com>
- 0.3
- I18n support, English translation, bug fixes, and UI improvement.

* Fri Jun 7 2002 Tigrux <tigrux@linuxparatodos.com>
- 0.2
- Added configuration

* Sun Jun 2 2002 Tigrux <tigrux@linuxparatodos.com>
- 0.1
- First rpm
